if (is_link ("/", FS_DIR)) ...                                                 /* 0 */

if (is_link ("/etc", FS_DIR)) ...                                              /* 1 */

if (is_link ("/etc/hosts", FS_DIR)) ...                                        /* 0 */

if (is_link ("./text.txt", FS_DIR)) ...                                        /* 0 */

if (is_link ("./random-file-name.txt", FS_DIR)) ...                            /* "ERR_LINK_NOT_EXISTS" */

if (is_link ("./random/directory/name", FS_DIR)) ...                           /* "ERR_LINK_NOT_EXISTS" */

if (is_link ("", FS_DIR)) ...                                                  /* "ERR_EMPTY_LINK_NAME" */

if (is_link ("?*><", FS_DIR)) ...                                              /* "ERR_INCORRECT_LINK_NAME" */